<?php
/*** Removing shortcodes ***/
vc_remove_element("vc_widget_sidebar");
vc_remove_element("vc_gallery");
vc_remove_element("vc_wp_search");
vc_remove_element("vc_wp_meta");
vc_remove_element("vc_wp_recentcomments");
vc_remove_element("vc_wp_calendar");
vc_remove_element("vc_wp_pages");
vc_remove_element("vc_wp_tagcloud");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_wp_text");
vc_remove_element("vc_wp_posts");
vc_remove_element("vc_wp_links");
vc_remove_element("vc_wp_categories");
vc_remove_element("vc_wp_archives");
vc_remove_element("vc_wp_rss");
vc_remove_element("vc_teaser_grid");
vc_remove_element("vc_button");
vc_remove_element("vc_button2");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_cta_button2");
vc_remove_element("vc_message");
vc_remove_element("vc_tour");
vc_remove_element("vc_progress_bar");
vc_remove_element("vc_pie");
vc_remove_element("vc_posts_slider");
vc_remove_element("vc_toggle");
vc_remove_element("vc_images_carousel");
vc_remove_element("vc_posts_grid");
vc_remove_element("vc_carousel");

/*** Remove unused parameters ***/
if (function_exists('vc_remove_param')) {
	vc_remove_param('vc_single_image', 'css_animation');
	vc_remove_param('vc_column_text', 'css_animation');
	vc_remove_param('vc_row', 'video_bg');
	vc_remove_param('vc_row', 'video_bg_url');
	vc_remove_param('vc_row', 'video_bg_parallax');
	vc_remove_param('vc_row', 'full_height');
	vc_remove_param('vc_row', 'content_placement');
	vc_remove_param('vc_row', 'full_width');
	vc_remove_param('vc_row', 'bg_image');
	vc_remove_param('vc_row', 'bg_color');
	vc_remove_param('vc_row', 'font_color');
	vc_remove_param('vc_row', 'margin_bottom');
	vc_remove_param('vc_row', 'bg_image_repeat');
	vc_remove_param('vc_tabs', 'interval');
	vc_remove_param('vc_separator', 'style');
	vc_remove_param('vc_separator', 'color');
	vc_remove_param('vc_separator', 'accent_color');
	vc_remove_param('vc_separator', 'el_width');
	vc_remove_param('vc_text_separator', 'style');
	vc_remove_param('vc_text_separator', 'color');
	vc_remove_param('vc_text_separator', 'accent_color');
	vc_remove_param('vc_text_separator', 'el_width');
	vc_remove_param('vc_row', 'gap');
    vc_remove_param('vc_row', 'columns_placement');
    vc_remove_param('vc_row', 'equal_height');
    vc_remove_param('vc_row_inner', 'gap');
    vc_remove_param('vc_row_inner', 'content_placement');
    vc_remove_param('vc_row_inner', 'equal_height');
    vc_remove_param('vc_hoverbox', 'use_custom_fonts_primary_title');
    vc_remove_param('vc_hoverbox', 'use_custom_fonts_hover_title');
    vc_remove_param('vc_hoverbox', 'hover_add_button');
	vc_remove_param('vc_row', 'parallax');
    vc_remove_param('vc_row', 'parallax_image');
	vc_remove_param('vc_row', 'parallax_speed_bg');
	vc_remove_param('vc_row', 'parallax_speed_video');
	vc_remove_param('vc_row', 'disable_element');
	vc_remove_param('vc_row', 'el_id');
	vc_remove_param('vc_row', 'el_class');
	//vc_remove_param('vc_row', 'css_animation');
}

/*** Row ***/

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => "Row Type",
	"param_name" => "row_type",
	"value" => array(
		
		"Section" => "sec1",
		"Background Image" => "sec2",
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Row ID",
	"param_name" => "row_id",
	"value" => "",
	"description" => "e.x: sec2",
	
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Row Class",
	"param_name" => "row_class",
	"value" => "",
	"description" => "e.x: main-section",
	
));

vc_add_param("vc_row", array(
	"type" => "attach_image",
	"class" => "",
	"heading" => "Section Background image",
	"value" => "",
	"param_name" => "xen_background_image",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('sec2'))
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Container",
	"param_name" => "enable_container_back_img",
	"value" => array(
		"Default" => "st1",
		"Container " => "st4",
		"Small Container" => "st2",	
		"Full Width" => "st3",		
				
				
		
	),
	"description" => "Optional. <br>Select Full Width container if you are using Default page Template. Or You can disable total page's container by using page settings.",
	"dependency" => Array('element' => "row_type", 'value' => array('sec2'))
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Full Height Section",
	"param_name" => "enable_full_height_sec_img",
	"value" => array(
		"Disable" => "st1",
		"Enable" => "st2",		
	),
	"description" => "Optional.",
	"dependency" => Array('element' => "enable_container_back_img", 'value' => array('st1', 'st2'))
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Container",
	"param_name" => "enable_container",
	"value" => array(
		"Default" => "st1",
		"Small Container" => "st2",		
		"Full Width" => "st3",		
				
		
	),
	"description" => "Optional. <br>Select Full Width container if you are using Default page Template. Or You can disable total page's container by using page settings.",
	"dependency" => Array('element' => "row_type", 'value' => array('sec1'))
	
));



vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Full Height Section",
	"param_name" => "enable_full_height_sec",
	"value" => array(
		"Disable" => "st1",
		"Enable" => "st2",		
	),
	"description" => "Optional.",
	"dependency" => Array('element' => "enable_container", 'value' => array('st1', 'st2'))
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Content Position",
	"param_name" => "enable_content_position",
	"value" => array(
		"Top" => "st1",
		"Bottom" => "st2",		
	),
	"description" => "Optional.",
	
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Section Background",
	"param_name" => "section_back_opt",
	"value" => array(
		"Light 1" => "light-bg-1",
		"Light 2" => "light-bg-2",
		"Dark 1" => "dark-bg-1",
		"Dark 2" => "dark-bg-2",
		"Black" => "black-bg",
		"Red" => "red-bg",
		"Custom Color" => "section_color_custom",
	),
	"description" => "Optional.",
	"dependency" => Array('element' => "row_type", 'value' => array('sec1'))
	
));

vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => "Background color",
	"param_name" => "opt_background_color",
	"value" => "",
	"description" => "",
	"dependency" => Array('element' => "section_back_opt", 'value' => array('section_color_custom'))
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Logo & Menu Button Style",
	"param_name" => "menu_logo_opt",
	"value" => array(
		
		"Default" => "st1",
		"Dark" => "st2",
	
	),
	"description" => "Useful if you use light background.",
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => "Text Color",
	"param_name" => "sec_text_color_opt",
	"value" => array(
		
		"Black" => "text-color-0",
		"Black 2" => "text-color-1",
		"Gray" => "text-color-2",
		"Silver Sand" => "text-color-3",
		"Silver Sand 2" => "text-color-5",
		"White" => "text-color-4",
		"Link Water" => "text-color-6",
		"Red" => "red-color",
	),
	"description" => "Optional.",
	
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => "Text Align",
	"param_name" => "sec_text_align_opt",
	"value" => array(
		
		"Left" => "text-black",
		"Center" => "text-center",
		"Right" => "text-right",
	),
	"description" => "Optional.",
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => "Section Padding Top",
	"param_name" => "row_padding_top",
	"value" => array(
		
		"Default(120)" => "top-padding-120",
		"Padding 90" => "top-padding-90",
		"Padding 60" => "top-padding-60",
		"Padding 50" => "top-padding-50",
		"Padding 40" => "top-padding-40",
		"Padding 30" => "top-padding-30",
		"Padding 20" => "top-padding-20",
		"Padding 15" => "top-padding-15",
		"Padding 10" => "top-padding-10",
		"No Padding" => "no-padding-top",
	),
	
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => "Section Padding Bottom",
	"param_name" => "row_padding_bottom",
	"value" => array(
		
		"Default(120)" => "bottom-padding-120",
		"Padding 90" => "bottom-padding-90",
		"Padding 60" => "bottom-padding-60",
		"Padding 50" => "bottom-padding-50",
		"Padding 40" => "bottom-padding-40",
		"Padding 30" => "bottom-padding-30",
		"Padding 20" => "bottom-padding-20",
		"Padding 15" => "bottom-padding-15",
		"Padding 10" => "bottom-padding-10",
		"No Padding" => "no-padding-bottom",
	),
	
	
));








/***************** xen  Shortcodes *********************/
// xen text block
vc_map( array(
		"name" => "XEN Text Block",
		"base" => "xen_text",
		"category" => 'bY XEN',
		"icon" => "icon-wpb-layer-shape-text",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Align', 'xen'),
				"param_name" => "text_align",
				"value" => array(
					"Left" => "text-left",
					"Center" => "text-center",
					"Right" => "text-right",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Color', 'xen'),
				"param_name" => "text_color",
				"value" => array(
					"Black" => "text-color-0",
					"Black 2" => "text-color-1",
					"Gray" => "text-color-2",
					"Silver Sand" => "text-color-3",
					"Silver Sand 2" => "text-color-5",
					"White" => "text-color-4",
					"Link Water" => "text-color-6",
					"Red" => "red-color",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Style', 'xen'),
				"param_name" => "text_style",
				"value" => array(
					"S" => "p-style-small",
					"XS" => "p-style-xsmall",
					"M" => "p-style-medium",
					"L" => "p-style-large",
					"Bold" => "p-style-bold",
					"Bold Upercase" => "p-style-bold-up",
					"Upercase" => "p-letter-style",
				),
				"description" => "Select Text Size.",
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Animation Delay', 'xen'),
				"param_name" => "animation_delay",
				"value" => "",
				"description" => esc_html__('e.x: 01', 'xen'),
			),
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__('Content', 'xen'),
				"param_name" => "content",
				"value" => "",
				"description" => esc_html__('', 'xen'),
			),
			
			
				
		)
) );

// xen title
vc_map( array(
		"name" => "XEN Title",
		"base" => "xen_sec_title",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Title', 'xen'),
				"param_name" => "title",
				"value" => "",
				"description" => esc_html__('', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Sub Title', 'xen'),
				"param_name" => "sub_title",
				"value" => "",
				"description" => esc_html__('', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Align', 'xen'),
				"param_name" => "text_align",
				"value" => array(
					"Center" => "text-center",
					"Left" => "text-left",
					"Right" => "text-right",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Color', 'xen'),
				"param_name" => "text_color",
				"value" => array(
					"Black" => "text-color-0",
					"Black 2" => "text-color-1",
					"Gray" => "text-color-2",
					"Silver Sand" => "text-color-3",
					"Silver Sand 2" => "text-color-5",
					"White" => "text-color-4",
					"Link Water" => "text-color-6",
					"Red" => "red-color",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Title Style', 'xen'),
				"param_name" => "title_style",
				"value" => array(
					"Default" => "title-style",
					"M Title " => "medium-title ",
					"L Title" => "large-title",
					"L Title Bold" => "large-title-bold",
					"XL Title" => "xlarge-title",
					"XXL Title" => "xxlarge-title",
				),
				"description" => "Select Title Size",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Padding Bottom', 'xen'),
				"param_name" => "padding_bottom",
				"value" => array(
					"Default(Padding 60)" => "bottom-padding-60",
					"Padding 50" => "bottom-padding-50",
					"Padding 40" => "bottom-padding-40",
					"Padding 30" => "bottom-padding-30",
					"Padding 20" => "bottom-padding-20",
					"Padding 10" => "bottom-padding-10",
					"No Padding" => "bottom-padding-0",
					
				),
				"description" => "Optional.",
			),
				
		)
) );


// xen small title
vc_map( array(
		"name" => "XEN Small Title",
		"base" => "xen_sec_small_title",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Title', 'xen'),
				"param_name" => "title",
				"value" => "",
				"description" => esc_html__('', 'xen'),
				"admin_label" => true,
			),
			
			
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Align', 'xen'),
				"param_name" => "text_align",
				"value" => array(
					"Center" => "text-center",
					"Left" => "text-left",
					"Right" => "text-right",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Color', 'xen'),
				"param_name" => "text_color",
				"value" => array(
					"Black" => "text-color-0",
					"Black 2" => "text-color-1",
					"Gray" => "text-color-2",
					"Silver Sand" => "text-color-3",
					"Silver Sand 2" => "text-color-5",
					"White" => "text-color-4",
					"Link Water" => "text-color-6",
					"Red" => "red-color",
					
				),
				"description" => "",
			),
			
			
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Padding Bottom', 'xen'),
				"param_name" => "padding_bottom",
				"value" => array(
					"Default(Padding 60)" => "bottom-padding-60",
					"Padding 50" => "bottom-padding-50",
					"Padding 40" => "bottom-padding-40",
					"Padding 30" => "bottom-padding-30",
					"Padding 20" => "bottom-padding-20",
					"Padding 10" => "bottom-padding-10",
					"No Padding" => "bottom-padding-0",
					
				),
				"description" => "Optional.",
			),
				
		)
) );


// Animated title
class WPBakeryShortCode_WR_VC_Titles  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Animated Title", "xen",
        "base" => "wr_vc_titles",
        "as_parent" => array('only' => 'wr_vc_title'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
		
		array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Align', 'xen'),
				"param_name" => "text_align",
				"value" => array(
					"Center" => "text-center",
					"Left" => "text-left",
					"Right" => "text-right",
					
				),
				"description" => "",
			),
			
			
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Title Style', 'xen'),
				"param_name" => "title_style",
				"value" => array(
					"Default" => "title-style",
					"M Title " => "medium-title ",
					"L Title" => "large-title",
					"L Title Bold" => "large-title-bold",
					"XL Title" => "xlarge-title",
					"XXL Title" => "xxlarge-title",
				),
				"description" => "Select Title Size",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Padding Bottom', 'xen'),
				"param_name" => "padding_bottom",
				"value" => array(
					"Default(Padding 60)" => "bottom-padding-60",
					"Padding 50" => "bottom-padding-50",
					"Padding 40" => "bottom-padding-40",
					"Padding 30" => "bottom-padding-30",
					"Padding 20" => "bottom-padding-20",
					"Padding 10" => "bottom-padding-10",
					"No Padding" => "bottom-padding-0",
					
				),
				"description" => "Select Title Size",
			),
			
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Title extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Animated Title Item", "xen",
        "base" => "wr_vc_title",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_titles'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Animation Delay",
				"param_name" => "animation_delay",
				"value" => "",
				"description" => "e.x: 01",
				"admin_label" => true,
				
			),
		  
        )
) );



// Animated title 2
class WPBakeryShortCode_WR_VC_Titleani2s  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Animated Title 2", "xen",
        "base" => "wr_vc_titleani2s",
        "as_parent" => array('only' => 'wr_vc_titleani2'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
		
		array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Align', 'xen'),
				"param_name" => "text_align",
				"value" => array(
					"Center" => "text-center",
					"Left" => "text-left",
					"Right" => "text-right",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Color', 'xen'),
				"param_name" => "text_color",
				"value" => array(
					"Black" => "text-color-0",
					"Black 2" => "text-color-1",
					"Gray" => "text-color-2",
					"Silver Sand" => "text-color-3",
					"Silver Sand 2" => "text-color-5",
					"White" => "text-color-4",
					"Link Water" => "text-color-6",
					"Red" => "red-color",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Title Style', 'xen'),
				"param_name" => "title_style",
				"value" => array(
					"Default" => "title-style",
					"M Title " => "medium-title ",
					"L Title" => "large-title",
					"L Title Bold" => "large-title-bold",
					"XL Title" => "xlarge-title",
					"XXL Title" => "xxlarge-title",
				),
				"description" => "Select Title Size",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Padding Bottom', 'xen'),
				"param_name" => "padding_bottom",
				"value" => array(
					"Default(Padding 60)" => "bottom-padding-60",
					"Padding 50" => "bottom-padding-50",
					"Padding 40" => "bottom-padding-40",
					"Padding 30" => "bottom-padding-30",
					"Padding 20" => "bottom-padding-20",
					"Padding 10" => "bottom-padding-10",
					"No Padding" => "bottom-padding-0",
					
				),
				"description" => "Select Title Size",
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Sub Title",
				"param_name" => "sub_title",
				"value" => "",
				"description" => "",
				"admin_label" => true,
				
			),
			
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Titleani2 extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Animated Title Item", "xen",
        "base" => "wr_vc_titleani2",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_titleani2s'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Animation Delay",
				"param_name" => "animation_delay",
				"value" => "",
				"description" => "e.x: 01",
				"admin_label" => true,
				
			),
		  
        )
) );

// wr feature
class WPBakeryShortCode_WR_VC_Features  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Features", "xen",
        "base" => "wr_vc_features",
        "as_parent" => array('only' => 'wr_vc_feature'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Class",
				"param_name" => "class",
				"value" => ""
			),

			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"description" => ""
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Image Poisition",
				"param_name" => "image_position",
				"value" => array(
					"Right" => "st1",
					"left" => "st2",
				),
				"description" => "Optional.",
			),	
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Sub Title",
				"param_name" => "sub_title",
				"value" => "",
				"description" => "e.x: ULUX",
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"value" => "",
				"description" => "",
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "",
				"admin_label" => true,
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "Optional.",
			),
			
			array(
				"type" => "textarea",
				"holder" => "div",
				"class" => "",
				"heading" => "Text",
				"param_name" => "content_main",
				"value" => ""
			),
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_feature extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Animated Title Item", "xen",
        "base" => "wr_vc_feature",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_features'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
						
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Data Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Animation Delay",
				"param_name" => "animation_delay",
				"value" => "",
				"description" => "e.x: 01",
				"admin_label" => true,
				
			),
			
			
		 )
) );

// client logo
class WPBakeryShortCode_WR_VC_Clients  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Client Logos", "xen",
        "base" => "wr_vc_clients",
        "as_parent" => array('only' => 'wr_vc_client, wr_vc_client_blank'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
		
		
		array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Class",
				"param_name" => "class",
				"value" => "",
				"description" => "Optional.",
				
			),
			
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Client extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Client Logo Item", "xen",
        "base" => "wr_vc_client",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_clients'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			
			
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Uplod Client Logo",
				"param_name" => "image",
				"description" => "",
				"admin_label" => true,
			),
			
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Uplod Hover Client Logo",
				"param_name" => "image_hover",
				"description" => "",
				"admin_label" => true,
			),
			
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Custom URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "Optional.",
				"admin_label" => true,
				"admin_label" => true,
				
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "Optional.",
			),
							
            
        )
) );


class WPBakeryShortCode_WR_VC_Client_Blank extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Blank Column", "xen",
        "base" => "wr_vc_client_blank",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_clients'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Data Title 1",
				"param_name" => "data_title_1",
				"value" => ""
			),

			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Data Title 2",
				"param_name" => "data_title_2",
				"value" => ""
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Data Title 3",
				"param_name" => "data_title_3",
				"value" => ""
			),
				
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Custom URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "Optional.",
				
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "Optional.",
			),
            
        )
) );

// wr testimonials
class WPBakeryShortCode_WR_VC_Testimonials  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Testimonial", "xen",
        "base" => "wr_vc_testimonials",
        "as_parent" => array('only' => 'wr_vc_testimonial'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Class",
				"param_name" => "class",
				"value" => ""
			),

			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Slider Autoplay",
				"param_name" => "autoplay",
				"value" => array(
					"Enable" => "st1",
					"Disable" => "st2",
					
				),
				"description" => "Optional.",
			),	
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Slider Speed",
				"param_name" => "slider_speed",
				"value" => "",
				"description" => "Default: 1200",
			),
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Testimonial extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Testimonial Item", "xen",
        "base" => "wr_vc_testimonial",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_testimonials'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Client's Image",
				"param_name" => "image",
				"description" => ""
			),
			
			
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Client Name",
				"param_name" => "clientname",
				"value" => "",
				"description" => "",
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Designation",
				"param_name" => "designation",
				"value" => "",
				"description" => "e.x: Investor",
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textarea",
				"holder" => "div",
				"class" => "",
				"heading" => "Text",
				"param_name" => "content",
				"value" => ""
			),
			
					
            
        )
) );


// portfolio
vc_map( array(
		"name" => "XEN Portfolio Standard",
		"base" => "xen_portfolio_standard",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Load More Button', 'xen'),
				"param_name" => "xen_load_more_button",
				"value" => array(
					"Disable" => "st1",
					"Enable" => "st2",
				),
				"description" => "Enable/ Disable Load More Button.",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Bottom Padding', 'xen'),
				"param_name" => "xen_bottom_padding",
				"value" => array(
					"Enable" => "bottom-padding-90",
					"Disable" => "bottom-padding-0",
				),
				"description" => "Enable/ Disable Bottom Padding.",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Image Height', 'xen'),
				"param_name" => "xen_image_size",
				"value" => array(
					"100VH" => "st1",
					"50VH" => "st2",
				),
				"description" => "Affeted for small devices.",
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Post Load', 'xen'),
				"param_name" => "postload",
				"value" => "",
				"description" => esc_html__('Number of posts to show before load more button.<br> Required.', 'xen'),
				"dependency" => Array('element' => "xen_load_more_button", 'value' => array('st2')),
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Load More Button Text', 'xen'),
				"param_name" => "text4",
				"value" => "",
				"description" => esc_html__('e.x: Show More', 'xen'),
				"dependency" => Array('element' => "xen_load_more_button", 'value' => array('st2')),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Read More', 'xen'),
				"param_name" => "text1",
				"value" => "",
				"description" => esc_html__('Translet Option', 'xen'),
				"dependency" => Array('element' => "xen_filter", 'value' => array('st2'))
			),
						
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st1', 'st3')),
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number of posts to show', 'xen'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'xen'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
			),
			
			
				
		)
) );

// portfolio
vc_map( array(
		"name" => "XEN Filterable Portfolio",
		"base" => "xen_portfolio_filter",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Filter Options', 'xen'),
				"param_name" => "xen_filter",
				"value" => array(
					"Disable" => "st1",
					"Filter" => "st2",
					"Redirect To Category" => "st3",
				),
				"description" => "Enable/ Disable Filter Option.",
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Number of categories to show",
				"param_name" => "port_filter_cat_count",
				"value" => "",
				"description" => "Number of categories to show in portfolio filter list. e.x: 5",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st2', 'st3')),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Exclude category",
				"param_name" => "port_filter_cat_exclude",
				"value" => "",
				"description" => "Exclude category from the filter list by the category ID e.x: 6 <br>For multiple category ID e.x: 6 7",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st2', 'st3')),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Everything', 'xen'),
				"param_name" => "text1",
				"value" => "",
				"description" => esc_html__('Translet Option', 'xen'),
				"dependency" => Array('element' => "xen_filter", 'value' => array('st2'))
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Load More Button', 'xen'),
				"param_name" => "xen_load_more_button",
				"value" => array(
					"Disable" => "st1",
					"Enable" => "st2",
				),
				"description" => "Enable/ Disable Load More Button.",
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Post Load', 'xen'),
				"param_name" => "postload",
				"value" => "",
				"description" => esc_html__('Number Of Post Show On Page Before Load More Button.<br> Required.', 'xen'),
				"dependency" => Array('element' => "xen_load_more_button", 'value' => array('st2'))
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Load More Button Text', 'xen'),
				"param_name" => "text4",
				"value" => "",
				"description" => esc_html__('e.x: Show More', 'xen'),
				"dependency" => Array('element' => "xen_load_more_button", 'value' => array('st2'))
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Include Category",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number of posts to show', 'xen'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'xen'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
			),
			
		)
) );

// portfolio fullscreen
vc_map( array(
		"name" => "XEN Portfolio Fullscreen",
		"base" => "xen_portfolio_fullscreen",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
					
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st1', 'st3')),
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number of posts to show', 'xen'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'xen'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
			),
			
			
				
		)
) );

// portfolio slide
vc_map( array(
		"name" => "XEN Portfolio Slider",
		"base" => "xen_portfolio_slider",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
					
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st1', 'st3')),
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number of posts to show', 'xen'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'xen'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
			),
			
			
				
		)
) );


// portfolio carousel
vc_map( array(
		"name" => "XEN Portfolio Carousel",
		"base" => "xen_portfolio_carousel",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
					
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st1', 'st3')),
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number of posts to show', 'xen'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'xen'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
			),
			
			
				
		)
) );


// popup video
vc_map( array(
		"name" => "XEN Popup Video",
		"base" => "xen_popup_video",
		"category" => 'bY XEN',
		"icon" => "icon-wpb-film-youtube",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_html__('Video URL', 'xen'),
				"param_name" => "video_url",
				"value" => "",
				"description" => esc_html__('Use Vimeo/ Youtube video URL. E.x: https://www.youtube.com/watch?v=xO0lpnksFgM', 'xen'),
				"admin_label" => true,
				
			),
			
			
		)
) );

// blog
vc_map( array(
		"name" => "XEN Blog",
		"base" => "xen_blog",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"dependency" => Array('element' => "xen_filter", 'value' => array('st1', 'st3')),
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number of posts to show', 'xen'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'xen'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'xen'),
			),
			
			
				
		)
) );


// wr list item
class WPBakeryShortCode_WR_VC_Lists  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN List Item", "xen",
        "base" => "wr_vc_lists",
        "as_parent" => array('only' => 'wr_vc_list'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Titles",
				"param_name" => "title",
				"value" => "",
				"description" => "Optional.",
				"admin_label" => true,
			),	
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Color', 'xen'),
				"param_name" => "text_color",
				"value" => array(
					"Black" => "text-color-0",
					"Black 2" => "text-color-1",
					"Gray" => "text-color-2",
					"Silver Sand" => "text-color-3",
					"Silver Sand 2" => "text-color-5",
					"White" => "text-color-4",
					"Link Water" => "text-color-6",
					"Red" => "red-color",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Font Style', 'xen'),
				"param_name" => "font_style",
				"value" => array(
					"Upercase" => "p-letter-style",
					"XS Title" => "xsmall-title-oswald",
					"S" => "p-style-small",
					"XS" => "p-style-xsmall",
					"M" => "p-style-medium",
					"L" => "p-style-large",
					"Bold" => "p-style-bold",
					"Bold Upercase" => "p-style-bold-up",
					
				),
				"description" => "",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Padding Top', 'xen'),
				"param_name" => "top_padding",
				"value" => array(
					"Default(Padding 60)" => "top-padding-60",
					"Padding 50" => "top-padding-50",
					"Padding 40" => "top-padding-40",
					"Padding 30" => "top-padding-30",
					"Padding 20" => "top-padding-20",
					"Padding 10" => "top-padding-10",
					"No Padding" => "top-padding-0",
					
				),
				"description" => "Optional.",
			),
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_List extends WPBakeryShortCode {}
vc_map( array(
        "name" => "List Item", "xen",
        "base" => "wr_vc_list",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_lists'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			
			
			
			array(
				"type" => "textarea",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Text",
				"param_name" => "content",
				"value" => "",
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Animation Delay",
				"param_name" => "animation_delay",
				"value" => "",
				"description" => "e.x:04",
				"admin_label" => true,
			),
		  
        )
) );

// team
vc_map( array(
		"name" => "XEN Team Member",
		"base" => "xen_team_member",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Member's Image",
				"param_name" => "image",
				"description" => ""
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Data Title 1",
				"param_name" => "data_title_1",
				"value" => "",
				"description" => "e.x: Balanchaev Balancha",
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Data Title 2",
				"param_name" => "data_title_2",
				"value" => "",
				"description" => "e.x: Web Designer",
				"admin_label" => true,
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Color', 'xen'),
				"param_name" => "text_color",
				"value" => array(
					"Black" => "text-color-0",
					"Black 2" => "text-color-1",
					"Gray" => "text-color-2",
					"Silver Sand" => "text-color-3",
					"Silver Sand 2" => "text-color-5",
					"White" => "text-color-4",
					"Link Water" => "text-color-6",
					"Red" => "red-color",
					
				),
				"description" => "",
			),
			
				
		)
) );

// image slider
vc_map( array(
		"name" => "XEN Image Slider",
		"base" => "xen_image_slider",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "attach_images",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Upload Images",
				"param_name" => "image",
				"description" => ""
			),
			
			
				
		)
) );


// Pricing Block
class WPBakeryShortCode_WR_VC_Pricing  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Price Table", "xen",
        "base" => "wr_vc_pricing",
        "as_parent" => array('only' => 'wr_vc_pricing_list'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
		
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "show_settings_on_create" => true,
        "params" => array(
						
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"admin_label" => true,
			),

						
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Amount",
				"param_name" => "price",
				"value" => "",
				"admin_label" => true,
			),		
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Time Period",
				"param_name" => "period",
				"value" => "",
				"description" => "e.x: Per month",
				"admin_label" => true,
			),		
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"admin_label" => true,
				"value" => "",
			),
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button Link URL",
				"param_name" => "button_link",
				"value" => "",
			),			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "link_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
			),				
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Recommended",
				"param_name" => "active",
				"value" => array(
					"Disable" => "st1",
					"Enable" => "st2",
				),
				"description" => "",
			),

			
            
        ),
        "js_view" => 'VcColumnView'
) );



class WPBakeryShortCode_WR_VC_Pricing_List extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Pricing List Item", "xen",
        "base" => "wr_vc_pricing_list",
        "content_element" => true,
		"icon" => "icon-xen",
        "as_child" => array('only' => 'wr_vc_pricing'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
			array(
				"type" => "textarea",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Pricing Table List",
				"param_name" => "content",
				"value" => "",
				"admin_label" => true,
			),

			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Animation Delay",
				"param_name" => "animation_delay",
				"value" => "",
				"description" => "e.x: 01 <br> Default: 01",
				"admin_label" => true,
			),			
            
        )
) );



// image fixed height
vc_map( array(
		"name" => "XEN Fixed Height Image",
		"base" => "xen_fixed_height_img",
		"category" => 'bY XEN',
		"icon" => "icon-wpb-single-image",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"description" => ""
			),
			
						
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Image Height', 'xen'),
				"param_name" => "image_height",
				"value" => array(
					"50VH" => "img-50vh",
					"100VH" => "img-100vh",
					"Cover" => "st3",
				),
				"description" => "Select Image Height Cover When You Are Using Full Height Section",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Image Poition', 'xen'),
				"param_name" => "image_position",
				"value" => array(
					"Left" => "deafult_left",
					"Right" => "default_right",
				),
				"description" => "For use this element to right column, you need to select image position right.",
				"dependency" => Array('element' => "image_height", 'value' => array('st3'))
			),
			
				
		)
) );

// image fixed height
vc_map( array(
		"name" => "XEN Image",
		"base" => "xen_popup_img_shortcode",
		"category" => 'bY XEN',
		"icon" => "icon-wpb-single-image",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"description" => ""
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Image Popup', 'xen'),
				"param_name" => "image_popup",
				"value" => array(
					"Disable" => "st1",
					"Enable" => "st2",
					
					
					
				),
				"description" => "",
			),
			
				
		)
) );

// image content
vc_map( array(
		"name" => "XEN Image With Content",
		"base" => "xen_img_content",
		"category" => 'bY XEN',
		"icon" => "icon-wpb-single-image",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "attach_image",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"description" => ""
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Title', 'xen'),
				"param_name" => "title",
				"value" => "",
				"description" => esc_attr__('', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textarea",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Content', 'xen'),
				"param_name" => "content",
				"value" => "",
				"description" => esc_attr__('', 'xen'),
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Custom URL', 'xen'),
				"param_name" => "custom_url",
				"value" => "",
				"description" => esc_attr__('', 'xen'),
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "link_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "Optional.",
				
			),
			
				
		)
) );


// progress bar
vc_map( array(
		"name" => "XEN Progress Bar",
		"base" => "xen_progress_bar",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Title', 'xen'),
				"param_name" => "data_title_1",
				"value" => "",
				"description" => esc_attr__('e.x: Product Branding', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Number Count', 'xen'),
				"param_name" => "data_title_2",
				"value" => "",
				"description" => esc_attr__('e.x: 63', 'xen'),
				"admin_label" => true,
			),
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Section Animation Delay', 'xen'),
				"param_name" => "sec_ani_delay",
				"value" => "",
				"description" => esc_attr__('e.x: 02.', 'xen'),
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Text Animation Delay', 'xen'),
				"param_name" => "text_delay",
				"value" => "",
				"description" => esc_attr__('e.x: 02. Default: 02', 'xen'),
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Progress Bar Animation Delay', 'xen'),
				"param_name" => "ani_delay",
				"value" => "",
				"description" => esc_attr__('e.x: 200. Default: 200', 'xen'),
			),
			
			
				
		)
) );

// progress bar
vc_map( array(
		"name" => "XEN Flip Button",
		"base" => "xen_flip_button",
		"category" => 'bY XEN',
		"icon" => "icon-xen",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Title', 'xen'),
				"param_name" => "data_title_1",
				"value" => "",
				"description" => esc_attr__('', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button Type",
				"param_name" => "button_type",
				"value" => array(
					"Custom URL" => "st1",
					"Email Address" => "st2",
					"Phone Number" => "3",	
					
				),
				"description" => "Optional.",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('URL', 'xen'),
				"param_name" => "link_url",
				"value" => "",
				"description" => esc_attr__('', 'xen'),
				"admin_label" => true,
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "Optional.",
				"dependency" => Array('element' => "button_type", 'value' => array('st1'))
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => esc_attr__('Animation Delay', 'xen'),
				"param_name" => "ani_delay",
				"value" => "",
				"description" => esc_attr__('e.x: 04. Default: 04', 'xen'),
			),
		)
) );

// xen button
class WPBakeryShortCode_WR_VC_Button  extends WPBakeryShortCode {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "XEN Button", "umaya",
        "base" => "wr_vc_button",
        "content_element" => true,
		"category" => 'bY XEN',
		"icon" => "icon-xen",
        "params" => array(
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button Style",
				"param_name" => "button_style",
				"value" => array(
					"Default Button" => "st1",
					"Border Button" => "st2",
				),
				"description" => "",
				
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Border & Text Color",
				"param_name" => "border_color",
				"value" => array(
					"Default" => "border-btn-def",
					"Red" => "border-btn-red",
					"Light" => "border-btn-white",
					"Dark" => "border-btn-black",
				),
				"description" => "",
				"dependency" => Array('element' => "button_style", 'value' => array('st2'))
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"value" => "",
				"description" => "",
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Button URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "",
				"admin_label" => true,
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Animation Delay",
				"param_name" => "animation_delay",
				"value" => "",
				"description" => "E.X: 02",
			),
			
			array(
				"type" => "dropdown",
				"holder" => "hidden",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
				
			),
        ),
        
) );


?>