jQuery(document).ready(function() {

  // init Isotope
  var jQuerycontainer = jQuery('.isotope-items-wrap.loadmore-wrapper').isotope({
    itemSelector: '.isotope-item',
        transitionDuration: '0.7s',
			masonry: {
				columnWidth: '.grid-sizer',
				horizontalOrder: false
			}
  });

  //****************************
  // Isotope Load more button
  //****************************
  var itemcount = jQuery('.loadmore-wrapper').data('load-item');
  var buttontext = jQuery('.loadmore-wrapper').data('button-text');
  var buttonback = jQuery('.loadmore-wrapper').data('button-bak');
  var initShow = itemcount; //number of items loaded on init & onclick load more button
  var counter = initShow; //counter for load more button
  var iso = jQuerycontainer.data('isotope'); // get Isotope instance

  loadMore(initShow); //execute function onload

  function loadMore(toShow) {
    jQuerycontainer.find(".hidden").removeClass("hidden");

    var hiddenElems = iso.filteredItems.slice(toShow, iso.filteredItems.length).map(function(item) {
      return item.element;
    });
    jQuery(hiddenElems).addClass('hidden');
    jQuerycontainer.isotope('layout');

    //when no more to load, hide show more button
    if (hiddenElems.length == 0) {
      jQuery(".iso-load-more-wrap").hide();
    } 
	else {
      jQuery(".iso-load-more-wrap").show();
    };

  }

if (iso.filteredItems.length < initShow) {

}
else if (iso.filteredItems.length == initShow) {

}

else {

//append load more button
  jQuerycontainer.after('<div class="text-center iso-load-more-wrap top-bottom-padding-120 red-bg" data-midnight="black"><a href="#0" id="load-more" class="pointer-large overlay-btn-box"><span class="overlay-btn" data-text="'+ buttontext +'">'+ buttontext +'</span></a></div>');
}
  //when load more button clicked
  jQuery(".iso-load-more-wrap").click(function() {
    if (jQuery('.filter-buttons').data('clicked')) {
      //when filter button clicked, set initial value for counter
      counter = initShow;
      jQuery('.filter-buttons').data('clicked', false);
    } else {
      counter = counter;
    };

    counter = counter + initShow;

    loadMore(counter);
  });

	//when filter button clicked
	jQuery(".filter-buttons").click(function() {
	   jQuery(this).data('clicked', true);
			loadMore(initShow);
	  });
  
});