<?php
global $xen_options;
$xen_options = get_option('xen');
function xen_style() {
//home
wp_enqueue_style('xen-main', (XEN_THEME_URL . '/style.css'));
wp_enqueue_style('xen-normalize', (XEN_THEME_URL . '/includes/css/plugins.css'));
wp_enqueue_style('xen-fontawesome-pro', (XEN_THEME_URL . '/includes/css/fontawesome-pro.css'));
wp_enqueue_style('xen-theme', (XEN_THEME_URL . '/includes/css/style.css'));
wp_enqueue_style('xen-main-style', (XEN_THEME_URL . '/includes/css/xen-main-style.css'));
wp_register_style('xen-custom-cursor-css', (XEN_THEME_URL . '/includes/css/xen-custom-cursor.css'));
if (class_exists('WPBakeryVisualComposerAbstract')) {
	if ( vc_mode() === 'page_editable' ) {
		wp_enqueue_style('xen-style-frontendvc', (XEN_THEME_URL . '/includes/css/style-frontendvc.css'));
	}
}

}
add_action('wp_enqueue_scripts', 'xen_style');

function xen_fonts_url() {
    $xen_font_url = '';
    
    if ( 'off' !== _x( 'on', 'Oswald font: on or off', 'xen' ) ) {
        $xen_font_url = add_query_arg( 'family','Open+Sans:300,400,500,600,700%7COswald:300,400,500,600,700' , "//fonts.googleapis.com/css" );
    }
    return $xen_font_url;
}

function xen_scripts() {
    wp_enqueue_style( 'xen_fonts', xen_fonts_url(), array(), '1.0.0' );
}
add_action( 'wp_enqueue_scripts', 'xen_scripts' );

function xen_enqueue_custom_admin_style() {
wp_enqueue_style( 'xen_wp_admin_css', (XEN_THEME_URL . '/includes/css/admin-style.css'), false, '1.0.0' );

}
add_action( 'admin_enqueue_scripts', 'xen_enqueue_custom_admin_style' );