<?php $xen_options = get_option('xen'); ?>
<?php get_header(); ?>	
<section id="up" class="page-head flex-min-height-box <?php if (xen_AfterSetupTheme::return_thme_option('blog_animated_back_color_opt')=='st2'){ ?>dark-bg-2<?php } else { ?>dark-bg-2<?php } ;?>" <?php if (xen_AfterSetupTheme::return_thme_option('blog_midnight_color_opt')=='st2'){ ?>data-midnight="black"<?php } ;?>>
				<!-- page-head-bg -->
				<?php 
				$xen_term_id = get_queried_object_id();
				$xen_image_ids = get_term_meta( $xen_term_id, 'xen_port_cat_image_advanced', false );// Media fields are always multiple. ?>
				<?php if ( ! empty( $xen_image_ids ) ) { ?>
					<?php foreach ( $xen_image_ids as $xen_image_id ) {
					$xen_image = RWMB_Image_Field::file_info( $xen_image_id, array( 'size' => 'full' ) ); ?>
						<div class="page-head-bg overlay-loading2" style="background-image: url(<?php echo esc_url($xen_image['url']);?>);"></div>
					<?php } ;?>
				<?php } else { ?>
					<div class="page-head-bg overlay-loading2" style="background-image: url(<?php echo esc_url(xen_AfterSetupTheme::return_thme_option('blog_sidebar_back_opt','url'));?>);"></div>
				<?php } ;?>
				
				<!-- flex-min-height-inner start -->
	  			<div class="flex-min-height-inner">
		  			<!-- flex-container start -->
		  			<div class="container top-bottom-padding-120 flex-container response-999">
			  			<!-- column start -->
			  			<div class="six-columns six-offset">
				  			<div class="content-left-margin-40">
				  				<h2 class="large-title-bold">
									<?php if(!empty($xen_options['cat-page-title'])):?>
									<span class="load-title-fill tr-delay03" data-text="<?php echo esc_attr(xen_AfterSetupTheme::return_thme_option('cat-page-title',''));?>"><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('cat-page-title',''));?></span><br>
									<?php else : ?>
									<span class="load-title-fill tr-delay03" data-text="<?php esc_attr_e('Category','xen');?>"><?php esc_html_e('Category','xen');?></span><br>
									<?php endif;?>
								</h2>
								
								<p class="p-style-bold-up text-height-20 d-flex-wrap">
									<span class="load-title-fill tr-delay08" data-text="<?php single_cat_title( '', true ); ?>"><?php single_cat_title( '', true ); ?></span>
								</p>
								
								
				  			</div>
			  			</div><!-- column end -->
		  			</div><!-- flex-container end -->
	  			</div><!-- flex-min-height-inner end -->
	  			
	  			<!-- scroll-btn start -->
				<a href="#down" class="scroll-btn pointer-large">
					<div class="scroll-arrow-box">
						<span class="scroll-arrow"></span>
					</div>
					<div class="scroll-btn-flip-box">
						<span class="scroll-btn-flip" data-text="<?php if(!empty($xen_options['translet_opt_1'])):?><?php echo esc_attr(xen_AfterSetupTheme::return_thme_option('translet_opt_1',''));?><?php else : ?><?php esc_attr_e('Scroll','xen');?><?php endif;?>"><?php if(!empty($xen_options['translet_opt_1'])):?><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('translet_opt_1',''));?><?php else : ?><?php esc_html_e('Scroll','xen');?><?php endif;?></span>
					</div>
				 </a><!-- scroll-btn end -->
			</section><!-- page-head end -->
<!-- dark-bg-2 start -->
			<section id="down" class="dark-bg-2 top-padding-120 no-padding-bottom full-width-section">
				<!-- container start -->
				<div class="container container-after">					
					
					
					<!-- works start -->				
                    <div class="works isotope-items-wrap no-hide-last loadmore-wrapper" data-load-item="9" data-button-text="<?php esc_attr_e('Load More', 'xen');?>">
					<?php global $loop; 
					$args = array_merge( $wp_query->query, array( 'post_type' => 'portfolio', 'posts_per_page'=>-1, ) );
					query_posts( $args );?>	
					<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					<?php $xen_portfolio_category = wp_get_post_terms($post->ID,'portfolio_category');?>
					<?php 
					$xen_class = ""; 
					$xen_categories = ""; 
					foreach ($xen_portfolio_category as $xen_item) {
					$xen_class.=esc_attr($xen_item->slug . ' ');
					$xen_categories.='';
					$xen_categories.=esc_attr($xen_item->name . '  ');
					$xen_categories.='';
					}?>
					<?php if (has_post_thumbnail( $post->ID ) ):
					$xen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );?>
					
	                    <!-- grid-item start -->
						<a href="<?php the_permalink();?>" class="animsition-link grid-item <?php echo esc_attr($xen_class);?>">
                            <div class="work_item pointer-large hover-box hidden-box">
                                <img class="hover-img" src="<?php echo esc_url($xen_image[0]);?>" alt="<?php the_title_attribute();?>">
                                <div class="works-content">
                    	            <span class="small-title-oswald red-color work-title-overlay"><?php echo esc_attr($xen_categories);?></span>
									<h3 class="title-style text-color-4">
									<?php if(get_post_meta($post->ID,'rnr_xen_animated_portfolio_page_title_opt',true)=='st2'){ ?>
									<?php
									$xen_page_title = rwmb_meta( 'rnr_xen_portfolio_page_title_df_opt' );
									if ( ! empty( $xen_page_title ) ) {
									foreach ( $xen_page_title as $xen_page_titles ) {
									$xen_title_delay_opt = isset( $xen_page_titles['rnr_xen_portfolio_page_title_delay_opt'] ) ? $xen_page_titles['rnr_xen_portfolio_page_title_delay_opt'] : '';
									if ( ! empty( $xen_title_delay_opt ) ) {
									$xen_title_delay ='work-title-delay'.$xen_title_delay_opt.'';
									}
									else {
									$xen_title_delay ='work-title-delay03';
									};
									?>
									<span class="work-title-overlay <?php echo esc_attr($xen_title_delay);?>"><?php echo esc_html($xen_page_titles['rnr_xen_portfolio_page_title_list_opt'])?></span><br>
									<?php } };?>
									<?php } else { ?>
									<span class="work-title-overlay work-title-delay01"><?php the_title();?></span><br>
									<?php } ;?>
									
									</h3>
                                </div>
                            </div>
                        </a><!-- grid-item end -->
                      <?php endif;?>
					  <?php  endwhile; endif; wp_reset_postdata(); ?>  
                    </div><!-- works end -->	
                </div><!-- container end -->       
			</section><!-- dark-bg-2 end -->
			<?php wp_enqueue_script( 'xen-loadmore-filter' ); ?>
<?php get_footer(); ?>