<?php $xen_options = get_option('xen'); ?>
<!-- blog start -->
			<div id="down" class="blog container bottom-padding-30 top-padding-120 light-bg-1" data-midnight="black">
				<!-- flex-container start -->
				<div class="flex-container">
				<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
				<?php global $xen_sidebar_class; ?>
				<?php $xen_sidebar_class = "eight-columns";?>
				<?php else : ?>
				<?php $xen_sidebar_class = "ten-columns one-offset";?>
				<?php endif;?>
				<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
					<!-- column start -->
					<aside class="four-columns bottom-padding-90">
						<!-- sidebar start -->
						<div class="sidebar content-right-margin-40 red-bg">
							<!-- sidebar-box start -->
							<div class="sidebar-box">
							<?php dynamic_sidebar( 'sidebar-1' ); ?>	
							</div><!-- sidebar-box end -->
						</div><!-- sidebar end -->
					</aside><!-- column end -->
					<?php endif;?>
					<!-- column start -->
					<div class="<?php echo esc_attr($xen_sidebar_class);?> latest-news">
					<?php
					global $post, $post_id;;
					$xen_showpost= get_post_meta($post->ID, 'rnr_blog-post-show', true);
					$xen_offset= get_post_meta($post->ID, 'rnr_blog-post-offset', true);
					$xen_categoryname=get_post_meta($post->ID, 'rnr_blog-post-cat', true);$xen_paged=(get_query_var('paged'))?get_query_var('paged'):1;
					$xen_loop = new WP_Query( array( 'post_type' => 'post', 'posts_per_page'=>$xen_showpost, 'category_name'=>$xen_categoryname, 'offset' => $xen_offset, 'paged'=>$xen_paged ) ); ?>
					<?php while ( $xen_loop->have_posts() ) : $xen_loop->the_post();?>
					<?php $xen_category = wp_get_post_terms($post->ID,'category');?>
					<?php 
					$xen_class = ""; 
					$xen_categories = ""; 
					foreach ($xen_category as $xen_item) {
					$xen_class.=esc_attr($xen_item->slug . ' ');
					$xen_categories.='<li class="p-letter-style pointer-small hover-color">';
					$xen_categories.='<a href="'.get_category_link($xen_item->term_id).'">';
					$xen_categories.=esc_attr($xen_item->name . '  ');
					$xen_categories.='</a>';
					$xen_categories.='</li>';
					}?>
						<!-- blog-entry start -->
						<article class="bottom-padding-90">
							<div class="light-bg-2">
							<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<a href="<?php the_permalink();?>" class="pointer-large animsition-link hover-box d-block">
								<?php if (has_post_thumbnail( $post->ID ) ):?>
								<?php $xen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );?>
									<div class="overlay-anim-box2 overlay-dark-bg-2" data-animation="overlay-anim2">
										<img class="hover-img" src="<?php echo esc_url($xen_image[0]);?>" alt="<?php the_title_attribute ();?>">
									</div>
								<?php else : ?>
								<div class="xen-blog-padding clear"></div>
								<?php endif;?>
									<div class="content-padding-l-r-20" data-animation-container>
									
										<h3 class="title-style text-color-1 top-margin-30 blog-title">
											<?php if(get_post_meta($post->ID,'rnr_xen_animated_portfolio_page_title_opt',true)=='st2'){ ?>	
											<?php $xen_page_title = rwmb_meta( 'rnr_xen_portfolio_page_title_df_opt' );
											if ( ! empty( $xen_page_title ) ) {
											foreach ( $xen_page_title as $xen_page_titles ) {
											$xen_title_delay_opt = isset( $xen_page_titles['rnr_xen_portfolio_page_title_delay_opt'] ) ? $xen_page_titles['rnr_xen_portfolio_page_title_delay_opt'] : '';
											if ( ! empty( $xen_title_delay_opt ) ) {
											$xen_title_delay ='tr-delay'.$xen_title_delay_opt.'';
											}
											else {
											$xen_title_delay ='tr-delay03';
											};?>
											<span data-animation-child class="overlay-anim-box2 hover-content overlay-dark-bg-2 <?php echo esc_attr($xen_title_delay);?>" data-animation="overlay-anim2"><?php echo esc_html($xen_page_titles['rnr_xen_portfolio_page_title_list_opt']);?></span><br>
											<?php } };?>
											<?php } else { ?>
											<span data-animation-child class="overlay-anim-box2 hover-content overlay-dark-bg-2 tr-delay01" data-animation="overlay-anim2"><?php the_title();?></span><br>
											<?php } ;?>
											
										</h3>
										<div data-animation-child class="fade-anim-box hover-content tr-delay03 p-style-medium text-color-2 post-hover-content" data-animation="fade-anim">
										<?php if( wp_link_pages('echo=0') ): ?>
										<?php the_content();
										wp_link_pages( array(
										'before'      => '<div class="page-links">',
										'after'       => '</div>',
										'link_before' => '<span>',
										'link_after'  => '</span>',
										'pagelink'    => '%',
										'separator'   => '',
										) );
										?>
										<?php else : ?>
                                        <?php the_excerpt();?>
										<?php endif;?>
										</div>
									</div>
								</a>
								<div class="content-padding-l-r-20 content-padding-bottom-20" data-animation-container>
								<?php if( has_category() ) {?>
			                        <ul data-animation-child class="blog-category top-margin-30 fade-anim-box text-color-2" data-animation="fade-anim">
									<?php $xen_category = wp_get_post_terms($post->ID,'category');?>
									
			                            <li><i class="fas fa-thumbtack text-color-3"></i></li>
										<?php foreach ($xen_category as $xen_item) { ?>
			                            <li class="p-letter-style pointer-small hover-color"><a href="<?php echo esc_url(get_category_link($xen_item->term_id));?>"><?php echo esc_html($xen_item->name . '  ');?></a></li>
										<?php } ;?>
			                        </ul>
								<?php }?>
								<?php if( has_tag() ) { ?>
			                        <ul data-animation-child class="blog-tags top-margin-10 fade-anim-box tr-delay01 text-color-2" data-animation="fade-anim">
			                            <li><i class="fas fa-tags text-color-3"></i></li>
										<?php $xen_tag = wp_get_post_terms($post->ID,'post_tag');
										foreach($xen_tag as $xen_tags) { ?>
			                            <li class="p-letter-style pointer-small hover-color"><a href="<?php echo esc_url(get_tag_link($xen_tags->term_id));?>"><?php echo esc_html ($xen_tags->name);?></a></li>
			                            <?php } ;?>
			                        </ul>
								<?php } ;?>
									<div data-animation-child class="blog-autor-date top-margin-30 fade-anim-box tr-delay02 text-color-1" data-animation="fade-anim">
			                        	<a class="xsmall-title-oswald pointer-small hover-color" href="#"><?php the_author();?></a>
										<a class="xsmall-title-oswald pointer-small hover-color" href="#"><?php the_time( get_option( 'date_format' ) ); ?></a>
			                        </div>
								</div>
							</div>
							</div>
						</article><!-- blog-entry end -->
						<?php endwhile; ?>
						<?php wp_reset_postdata();?> 
						
						<!-- loading more btn start -->
						<div class="bottom-padding-90 text-center">
							<div class="arrow-btn-box">
								<?php if (function_exists("xen_pagination")) {
									xen_pagination($xen_loop->max_num_pages);
								} ?>
							</div>
						</div><!-- loading more btn end -->
					</div><!-- column end -->
					
				</div><!-- flex-container end -->
			</div><!-- blog end -->					