<?php

if( !function_exists ('xen_enqueue_scripts') ) :
	function xen_enqueue_scripts() {
	$xen_options = get_option('xen');
	wp_enqueue_script('xen-plugins', (XEN_THEME_URL . '/includes/js/plugins.js'), array('jquery'), '1.0',true);
	if (class_exists('WPBakeryVisualComposerAbstract')) {
	if ( vc_mode() === 'page_editable' ) {
	}
	else {
	wp_enqueue_script('xen-midnight', (XEN_THEME_URL . '/includes/js/midnight.js'), array('jquery'), '1.0',true);
	}
	}
	else {
	wp_enqueue_script('xen-midnight', (XEN_THEME_URL . '/includes/js/midnight.js'), array('jquery'), '1.0',true);
	}
	wp_enqueue_script('xen-main', (XEN_THEME_URL . '/includes/js/main.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-particles', (XEN_THEME_URL . '/includes/js/particles_init.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-testimonial-autoplay-on', (XEN_THEME_URL . '/includes/js/xen-testimonial-autoplay-on.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-testimonial-autoplay-off', (XEN_THEME_URL . '/includes/js/xen-testimonial-autoplay-off.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-typewriter', (XEN_THEME_URL . '/includes/js/typewriter.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-loadmore', (XEN_THEME_URL . '/includes/js/loadmore.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-loadmore-filter', (XEN_THEME_URL . '/includes/js/xen-loadmore-filter.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-share', (XEN_THEME_URL . '/includes/js/jquery-share.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-custom-cursor', (XEN_THEME_URL . '/includes/js/xen-custom-cursor.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-instagram', (XEN_THEME_URL . '/includes/js/xen-instagram.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-post-menu-bg', (XEN_THEME_URL . '/includes/js/xen-post-menu-bg.js'), array('jquery'), '1.0',true);
	wp_register_script('xen-youtube', (XEN_THEME_URL . '/includes/js/youtube-vid.js'), array('jquery'), '1.0',true);
	
	
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
	}
}
	add_action('wp_enqueue_scripts', 'xen_enqueue_scripts');
endif;