(function(jQuery) {

  if(!jQuery) {
    return;
  }

  ////////////
  // Plugin //
  ////////////

  jQuery.fn.headroom = function(option) {
    return this.each(function() {
      var jQuerythis   = jQuery(this),
        data      = jQuerythis.data('headroom'),
        options   = typeof option === 'object' && option;

      options = jQuery.extend(true, {}, Headroom.options, options);

      if (!data) {
        data = new Headroom(this, options);
        data.init();
        jQuerythis.data('headroom', data);
      }
      if (typeof option === 'string') {
        data[option]();

        if(option === 'destroy'){
          jQuerythis.removeData('headroom');
        }
      }
    });
  };

  //////////////
  // Data API //
  //////////////

  jQuery('[data-headroom]').each(function() {
    var jQuerythis = jQuery(this);
    jQuerythis.headroom(jQuerythis.data());
  });

}(window.Zepto || window.jQuery));