<?php $xen_options = get_option('xen'); ?>
<!-- single-post start -->
			<div id="down" class="single-post container bottom-padding-30 top-padding-120 light-bg-1" data-midnight="black">
				<!-- flex-container start -->
				<div class="flex-container">
				
				
					<!-- column start -->
					<div class="ten-columns one-offset xen-overflow-hidden">
						<!-- single-post-content start -->
						<div class="light-bg-2 pull-left">
							<?php if (xen_AfterSetupTheme::return_thme_option('blogdetailstyle_featured')!='st2'){ ?>
							<?php if (has_post_thumbnail( $post->ID ) ):?>
							<?php $xen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );?>
							<a class="photo-popup pointer-zoom" href="<?php echo esc_url($xen_image[0]);?>">
								<img src="<?php echo esc_url($xen_image[0]);?>" alt="<?php the_title_attribute ();?>">
							</a>
							<?php else : ?>
								<div class="xen-blog-padding clear"></div>
							<?php endif;?>
							<?php } ;?>
							<!-- content-margin-block start -->
							<div class="content-margin-block">
								<!-- entry-content start -->
								<article class="entry-content">
									<div class="p-style-medium text-color-1">
										<?php the_content();
										wp_link_pages( array(
										'before'      => '<div class="page-links">',
										'after'       => '</div>',
										'link_before' => '<span>',
										'link_after'  => '</span>',
										'pagelink'    => '%',
										'separator'   => '',
										) );
										?>
									</div>
								</article><!-- entry-content end -->
								<?php if (xen_AfterSetupTheme::return_thme_option('index_details_share')=='st2'){ ?>	
								<!-- post-share start -->
								<div class="post-share clear">
									<span class="xsmall-title-oswald text-color-2"><?php if(!empty($xen_options['share_sec_title'])):?><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('share_sec_title',''));?>:<?php else: ?><?php esc_html_e('share this article: ','xen');?><?php endif;?></span>
									<ul class="share-container share-blog-post post-share-social text-color-1"  data-share="['facebook','twitter','pinterest', 'linkedin']">
									</ul>
									
								</div><!-- post-share end -->
								<?php wp_enqueue_script('xen-share');?>
								<?php } else { ?>
								<br>
								<br>
								<?php } ;?>
							</div><!-- content-margin-block end -->
						</div><!-- single-post-content end -->
						<?php if (xen_AfterSetupTheme::return_thme_option('index_details_related')=='st2'){ ?>	
						<?php $related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 3,'post_type' => 'post', 'post__not_in' => array($post->ID) ) ); ?>
						<?php if( $related ) { ?>
						<!-- post-prev-next start -->
						<div class="top-padding-90 bottom-padding-30 clear">
							<h2 class="p-style-bold-up text-color-1"><?php if(!empty($xen_options['related_sec_title'])):?><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('related_sec_title',''));?>:<?php else: ?><?php esc_html_e('You might also like','xen');?><?php endif;?></h2>
							<!-- flex-container start -->
							<div class="flex-container response-999 top-margin-30">
							<?php
							if( $related ) foreach( $related as $post ) {
							setup_postdata($post); 
							?>
							<?php if (has_post_thumbnail( $post->ID ) ):
							$xen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'xen_portfolio_image' );?>
								<!-- column start -->
								<div class="four-columns bottom-padding-60">
									<div class="content-right-margin-20">
										<a href="<?php the_permalink();?>" class="hover-box pointer-large animsition-link d-block light-bg-2">
											<div class="hidden-box">
												<img class="hover-img" src="<?php echo esc_url($xen_image[0]);?>" alt="<?php the_title_attribute ();?>">
											</div>
											<div class="content-padding-bottom-20 content-padding-l-r-20">
												<h3 class="xsmall-title-oswald text-color-1 hover-content top-margin-20"><?php the_title();?></h3><br>
												<div class="p-style-xsmall text-color-2 text-height-10 hover-content tr-delay01 top-margin-5"><?php the_time( get_option( 'date_format' ) ); ?></div>
											</div>
										</a>
									</div>
								</div><!-- column end -->
								<?php endif; ?>
								<?php }
								 wp_reset_postdata();?>
							</div><!-- flex-container end -->
						</div><!-- post-prev-next end -->
						<?php } ;?>	
						<?php } ;?>	
						<?php if (xen_AfterSetupTheme::return_thme_option('index_details_user_dt_opt')=='st2'){ ?>
						<!-- autor-bio start -->
						<div class="light-bg-2 autor-bio clear">
							<div class="content-margin-block autor-bio-flex">
								<div class="autor-img">
									<?php
									// Display author avatar
									echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( '', 130 ) ); ?>
								</div>
								<div class="autor-bio-desc">
									<h5 class="small-title-oswald text-color-1"><?php the_author();?></h5>
									<p class="p-style-small text-height-15 text-color-1"><?php the_author_meta('description'); ?></p>
									<ul class="autor-social text-color-1">
										
													<?php if ( get_the_author_meta('facebook') ) : ?>
                                                    <li><a href="<?php the_author_meta('facebook'); ?>" class="pointer-small hover-color" target="_blank" ><i class="fab fa-facebook-f"></i></a></li>
													<?php endif;?>
													<?php if ( get_the_author_meta('twitter') ) : ?>
                                                    <li><a href="<?php the_author_meta('twitter'); ?>" class="pointer-small hover-color" target="_blank"><i class="fab fa-twitter"></i></a></li>
													<?php endif;?>
													<?php if ( get_the_author_meta('instagram') ) : ?>
                                                    <li><a href="<?php the_author_meta('instagram'); ?>" class="pointer-small hover-color" target="_blank" ><i class="fab fa-instagram"></i></a></li>
													<?php endif;?>
													<?php if ( get_the_author_meta('tumblr') ) : ?>
                                                    <li><a href="<?php the_author_meta('tumblr'); ?>" class="pointer-small hover-color" target="_blank" ><i class="fab fa-tumblr"></i></a></li>
													<?php endif;?>
													<?php if ( get_the_author_meta('pinterest') ) : ?>
													<li><a href="<?php the_author_meta('pinterest'); ?>" class="pointer-small hover-color" target="_blank" ><i class="fab fa-pinterest"></i></a></li>
													<?php endif;?>
													<?php if ( get_the_author_meta('youtube') ) : ?>
													<li><a href="<?php the_author_meta('youtube'); ?>" class="pointer-small hover-color" target="_blank" ><i class="fab fa-youtube"></i></a></li>
													<?php endif;?>
									</ul>
								</div>
							</div>
						</div><!-- autor-bio end -->
						<?php } ;?>
						<?php if ( comments_open() || get_comments_number() ) { ?>	
						<!-- post-comments start -->
						<div class="top-bottom-padding-90 clear">
						<?php comments_template();?>	
						</div><!-- post-comments end -->
						<?php }?>  
					</div><!-- column end -->
					<!-- column start -->
					
				</div><!-- flex-container end -->
			</div><!-- single-post end -->