<?php $xen_options = get_option('xen'); ?>
<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;


if ( post_password_required() ) {
	echo get_the_password_form(); // WPCS: XSS ok.
	return;
}
?>
<?php if (has_post_thumbnail( $post->ID ) ):
$xen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
endif;
?>
<!-- page-head start -->
			<section id="up" class="page-head flex-min-height-box <?php if(get_post_meta($post->ID,'rnr_xen_animated_post_back_color_opt',true)=='st2'){ ?>dark-bg-2<?php } else { ?>dark-bg-1<?php } ?>" <?php if(get_post_meta($post->ID,'rnr_xen_post_dt_header_logo_selector_opt',true)=='st2'){ ?>data-midnight="black"<?php } ;?>>
				<!-- page-head-bg -->
				<?php $xen_back_image = rwmb_meta( 'rnr_xen_portfolio_page_back_img_opt','type=image&size=' ); ?>
				<?php if ( ! empty( $xen_back_image ) ) { ?>
				<?php foreach ( $xen_back_image as $xen_back_images ){ ?>
				<div class="page-head-bg overlay-loading2" style="background-image: url(<?php echo esc_url(($xen_back_images['url']));?>);"></div>
				<?php } ;?>
				<?php } else { ?>
				<div class="page-head-bg overlay-loading2" style="background-image: url(<?php echo esc_url($xen_image[0]);?>);"></div>
				<?php } ;?>
				<!-- flex-min-height-inner start -->
	  			<div class="flex-min-height-inner">
		  			<!-- flex-container start -->
		  			<div class="container top-bottom-padding-120 flex-container response-999">
			  			<!-- column start -->
			  			<div class="six-columns six-offset">
				  			<div class="content-left-margin-40">
				  				<h2 class="large-title">
								<?php if(get_post_meta($post->ID,'rnr_xen_animated_portfolio_page_title_opt',true)=='st2'){ ?>
									<?php
									$xen_page_title = rwmb_meta( 'rnr_xen_portfolio_page_title_df_opt' );
									if ( ! empty( $xen_page_title ) ) {
									foreach ( $xen_page_title as $xen_page_titles ) { ;?>
									<?php $xen_title_delay_opt = isset( $xen_page_titles['rnr_xen_portfolio_page_title_delay_opt'] ) ? $xen_page_titles['rnr_xen_portfolio_page_title_delay_opt'] : ''; ?>
									<span class="load-title-fill <?php if ( ! empty( $xen_title_delay_opt ) ) { ?>tr-delay<?php echo esc_attr($xen_title_delay_opt);?><?php } else { ?>tr-delay03<?php } ;?>" data-text="<?php echo esc_attr($xen_page_titles['rnr_xen_portfolio_page_title_list_opt']);?>"><?php echo esc_html($xen_page_titles['rnr_xen_portfolio_page_title_list_opt']);?></span><br>
								<?php } } ;?>
								<?php } else { ?>
									<span class="load-title-fill tr-delay03" data-text="<?php the_title();?>"><?php the_title();?></span><br>
								<?php } ;?>	
								</h2>
								<?php if(get_post_meta($post->ID,'rnr_xen_portfolio_page_info_opt',true)=='st2'){ ?>
								<div class="d-flex-wrap top-margin-20">
									<?php
									$xen_page_info = rwmb_meta( 'rnr_xen_portfolio_page_info_df_opt' );
									if ( ! empty( $xen_page_info ) ) {
									foreach ( $xen_page_info as $xen_page_infos ) { ;?>
									<?php $xen_info_delay_opt = isset( $xen_page_infos['rnr_xen_portfolio_page_info_delay_opt'] ) ? $xen_page_infos['rnr_xen_portfolio_page_info_delay_opt'] : ''; ?>
									<a class="small-title-oswald text-height-20 pointer-large load-title-fill <?php if ( ! empty( $xen_info_delay_opt ) ) { ?>tr-delay<?php echo esc_attr($xen_info_delay_opt);?><?php } else { ?>tr-delay06<?php } ;?> top-margin-10" href="#0" data-text="<?php echo esc_attr($xen_page_infos['rnr_xen_portfolio_page_info_list_opt']);?>: <?php echo esc_attr($xen_page_infos['rnr_xen_portfolio_page_info_con_list_opt']);?>"><?php echo esc_html($xen_page_infos['rnr_xen_portfolio_page_info_list_opt']);?>: <?php echo esc_html($xen_page_infos['rnr_xen_portfolio_page_info_con_list_opt']);?></a>
									<?php } } ;?>
									
								</div>
								<?php } ;?>
				  			</div>
			  			</div><!-- column end -->
		  			</div><!-- flex-container end -->
	  			</div><!-- flex-min-height-inner end -->
	  			<?php if (( get_post_meta($post->ID,'rnr_xen_portfolio_page_scroll_opt',true))):?>
	  			<!-- scroll-btn start -->
				<a href="#down" class="scroll-btn pointer-large">
					<div class="scroll-arrow-box">
						<span class="scroll-arrow"></span>
					</div>
					<div class="scroll-btn-flip-box">
						<span class="scroll-btn-flip" data-text="<?php echo esc_attr(get_post_meta($post->ID,'rnr_xen_portfolio_page_scroll_opt',true)); ?>"><?php echo esc_html(get_post_meta($post->ID,'rnr_xen_portfolio_page_scroll_opt',true)); ?></span>
					</div>
				 </a><!-- scroll-btn end -->
				<?php endif;?>
			</section><!-- page-head end -->
<div id="down" class="single-post container bottom-padding-60 top-padding-120 light-bg-1" data-midnight="black">
<div class="flex-container">
<div class="ten-columns one-offset xen-overflow-hidden">

<?php

/**
 * Hook: woocommerce_before_single_product.
 *
 * @hooked wc_print_notices - 10
 */
do_action( 'woocommerce_before_single_product' );
?>
<div  id="product-<?php the_ID(); ?>" <?php wc_product_class( '', $product ); ?>>

	<?php
	/**
	 * Hook: woocommerce_before_single_product_summary.
	 *
	 * @hooked woocommerce_show_product_sale_flash - 10
	 * @hooked woocommerce_show_product_images - 20
	 */
	do_action( 'woocommerce_before_single_product_summary' );
	?>

	<div data-animation-container class="summary entry-summary">
		<?php
		/**
		 * Hook: woocommerce_single_product_summary.
		 *
		 * @hooked woocommerce_template_single_title - 5
		 * @hooked woocommerce_template_single_rating - 10
		 * @hooked woocommerce_template_single_price - 10
		 * @hooked woocommerce_template_single_excerpt - 20
		 * @hooked woocommerce_template_single_add_to_cart - 30
		 * @hooked woocommerce_template_single_meta - 40
		 * @hooked woocommerce_template_single_sharing - 50
		 * @hooked WC_Structured_Data::generate_product_data() - 60
		 */
		do_action( 'woocommerce_single_product_summary' );
		?>
		<?php if (xen_AfterSetupTheme::return_thme_option('shop_details_share')=='st2'){ ?>	
		<!-- post-share start -->
		<div class="post-share clear">
		<span class="xsmall-title-oswald text-color-2"><?php if(!empty($xen_options['share_sec_title_shop'])):?><?php echo esc_html(xen_AfterSetupTheme::return_thme_option('share_sec_title_shop',''));?>:<?php else: ?><?php esc_html_e('share: ','xen');?><?php endif;?></span>
		<ul class="share-container share-blog-post post-share-social text-color-1"  data-share="['facebook','twitter','pinterest', 'linkedin']">
		</ul>
		</div><!-- post-share end -->
		<?php wp_enqueue_script('xen-share');?>
		<?php } else { ?>
		<?php } ;?>
	</div>

	<?php
	/**
	 * Hook: woocommerce_after_single_product_summary.
	 *
	 * @hooked woocommerce_output_product_data_tabs - 10
	 * @hooked woocommerce_upsell_display - 15
	 * @hooked woocommerce_output_related_products - 20
	 */
	do_action( 'woocommerce_after_single_product_summary' );
	?>
</div>

<?php do_action( 'woocommerce_after_single_product' ); ?>
</div>
</div>
</div>